function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("Preface","0#wp26682");
var B=A.fN("Related Documentation","1#wp18992");
var C=B.fN("TIBCO Product Documentation","1#wp30316");
C=B.fN("Other TIBCO Product Documentation","1#wp32861");
B=A.fN("How to Contact TIBCO Customer Support","2#wp12787");
A=P.fN("1   Concepts","3#wp1665219");
B=A.fN("Adapter Overview","4#wp1670719");
C=B.fN("Components","4#wp1671983");
B=A.fN("Adapter Features","5#wp1671543");
B=A.fN("Adapter Services","6#wp1672604");
C=B.fN("Publication Service","6#wp1674097");
C=B.fN("Request Response Invocation Service","6#wp1672678");
C=B.fN("Subscription Service","6#wp1674150");
C=B.fN("Request Response Service","6#wp1674159");
B=A.fN("Recommended Deployment Architecture","7#wp1674402");
A=P.fN("2   Installation","9#wp1789037");
B=A.fN("Preparing your Environment for Installation","10#wp1805629");
C=B.fN("Operating System Requirements","10#wp1805632");
B=A.fN("Pre-Installation Worksheet","11#wp1816204");
C=B.fN("Adapter Machine Information","11#wp1816269");
B=A.fN("Installer Overview","12#wp1789061");
C=B.fN("Upgrading an Adapter","12#wp1789074");
C=B.fN("Uninstalling the Adapter","12#wp1789078");
B=A.fN("Installation Registry","13#wp1789089");
C=B.fN("Installation History","13#wp1793585");
B=A.fN("Adapter Components and Compatible Software","14#wp1789137");
C=B.fN("Adapter Components","14#wp1789139");
C=B.fN("Required and Optional TIBCO Products","14#wp1789167");
B=A.fN("Installing on Microsoft Windows","15#wp1789208");
C=B.fN("Installing on Microsoft Windows 2000 and 2003 Terminal Server","15#wp1822524");
C=B.fN("Installing the Adapter on Microsoft Windows","15#wp1789267");
C=B.fN("Combining Options","15#wp1793921");
C=B.fN("Post-Installation Tasks","15#wp1824165");
B=A.fN("Installation FAQs and Troubleshooting","16#wp1814025");
C=B.fN("Frequently Asked Questions","16#wp1814690");
C=B.fN("Speeding Up Installation","16#wp1815829");
C=B.fN("Running Out of Disk Space","16#wp1816053");
C=B.fN("Configuring TIBCO Hawk","16#wp1821886");
A=P.fN("3   Getting Started","18#wp1671856");
B=A.fN("Prerequisites","19#wp1671888");
C=B.fN("Overview","19#wp1776796");
C=B.fN("Permissions to Access Repository Server","19#wp1777631");
C=B.fN("Other Examples","19#wp1729450");
B=A.fN("Create the Project","20#wp1671905");
B=A.fN("Create the COM Components","21#wp1777925");
B=A.fN("Configure the Adapter","22#wp1671912");
B=A.fN("Configure the Publication Service","23#wp1778194");
B=A.fN("Configure the Subscription Service","24#wp1729582");
B=A.fN("Convert the Project to a Repository File","25#wp1777375");
B=A.fN("Deploy the Project and Start the Adapter","26#wp1671941");
A=P.fN("4   Adapter Instance Options","28#wp1748385");
B=A.fN("Overview","29#wp1818144");
C=B.fN("Configuration Tasks","29#wp1748426");
B=A.fN("Adapter Instance Fields","30#wp1817678");
C=B.fN("Configuration Tab","30#wp1817713");
C=B.fN("Run-time Connection Tab","30#wp1830475");
C=B.fN("Adapter Services Tab","30#wp1830471");
C=B.fN("General Tab","30#wp1817778");
C=B.fN("Logging Tab","30#wp1817786");
C=B.fN("Startup Tab","30#wp1817818");
C=B.fN("Monitoring Tab","30#wp1817829");
B=A.fN("Adapter Services","31#wp1817870");
C=B.fN("Import Schema Tab","31#wp1829984");
B=A.fN("Publication Service Fields","32#wp1812578");
C=B.fN("Configuration Tab","32#wp1813407");
C=B.fN("Transport Tab","32#wp1820173");
C=B.fN("SchemaView Tab","32#wp1821952");
C=B.fN("Schema Tab","32#wp1825252");
B=A.fN("Subscription Service Fields","33#wp1748757");
C=B.fN("Configuration Tab","33#wp1823918");
C=B.fN("Transport Tab","33#wp1823928");
C=B.fN("SchemaView Tab","33#wp1825353");
C=B.fN("Schema Tab","33#wp1825351");
B=A.fN("Request-Response Service Fields","34#wp1765335");
C=B.fN("Configuration Tab","34#wp1824186");
C=B.fN("Transport Tab","34#wp1824196");
C=B.fN("SchemaView Tab","34#wp1825381");
C=B.fN("Schema Tab","34#wp1825379");
B=A.fN("Request-Response Invocation Service Fields","35#wp1824167");
C=B.fN("Configuration Tab","35#wp1824332");
C=B.fN("Transport Tab","35#wp1824342");
C=B.fN("SchemaView Tab","35#wp1825444");
C=B.fN("Schema Tab","35#wp1825442");
A=P.fN("5   Deploying and Starting an Adapter Using TIBCO Administrator Enterprise Edition","37#wp1813822");
B=A.fN("Overview","38#wp1813851");
B=A.fN("Create an EAR File in TIBCO Designer","39#wp1813910");
B=A.fN("Deploy the Project","40#wp1813927");
B=A.fN("Start or Stop the Adapter","41#wp1813942");
B=A.fN("Monitor the Adapter","42#wp1813957");
A=P.fN("6   Deploying and Starting the Adapter Using TIBCO Administrator Repository Edition","44#wp1756555");
B=A.fN("Overview","45#wp1808525");
B=A.fN("Export the Project","46#wp1808553");
B=A.fN("Create a Properties File","47#wp1808605");
B=A.fN("Set Properties in Properties File","48#wp1808657");
B=A.fN("Assign Security Options","49#wp1808716");
B=A.fN("Start or Stop the Adapter","50#wp1808775");
C=B.fN("Start the Adapter","50#wp1808913");
C=B.fN("Stop the Adapter","50#wp1813963");
B=A.fN("Monitor the Adapter","51#wp1808834");
B=A.fN("Adapter Properties File","52#wp1768455");
C=B.fN("Properties File Format","52#wp1768477");
C=B.fN("Predefined Properties","52#wp1768487");
B=A.fN("Server Repository URL","53#wp1771958");
C=B.fN("TIBCO Rendezvous","53#wp1805687");
C=B.fN("HTTP and HTTPS","53#wp1805764");
C=B.fN("Defining a urlFile to be Accessed via HTTPS","53#wp1805824");
B=A.fN("Local Project URL","54#wp1807731");
B=A.fN("Install the Adapter as a Service on Microsoft Windows","55#wp1756799");
A=P.fN("7   Advanced Topics","57#wp1672771");
B=A.fN("Overview","58#wp1775317");
B=A.fN("Using the Adapter with a Revision Control System","59#wp1777991");
B=A.fN("Configuring a TIBCO Hawk Session","60#wp1679296");
B=A.fN("Using Global Variables","61#wp1757665");
C=B.fN("Variable Specification","61#wp1767492");
C=B.fN("Predefined Global Variables","61#wp1767565");
B=A.fN("Setting Encoding Options","62#wp1764185");
B=A.fN("Using DCOM","63#wp1775377");
B=A.fN("Using COM+","64#wp1776733");
B=A.fN("Configuring Highly Available Instances","65#wp1776929");
B=A.fN("Configuring the Adapter for Load Balancing Using RVCMQ","66#wp1775852");
C=B.fN("Configuring Interceptor Component","66#wp1775887");
C=B.fN("Configuring Service Component","66#wp1775900");
B=A.fN("Configuring the Adapter for Load Balancing Using JMS","67#wp1777523");
B=A.fN("Exception Handling","68#wp1777497");
B=A.fN("Obtaining Extended Error Information","69#wp1775694");
C=B.fN("Erroneous Method Calls","69#wp1777130");
A=P.fN("8   TIBCO Moniker and Interceptor Activation","70#wp1665219");
B=A.fN("Overview","71#wp1671470");
C=B.fN("Display String Format","71#wp1671489");
C=B.fN("Parts of the Display String","71#wp1671497");
B=A.fN("Using the TIBCO Moniker in Visual Basic","72#wp1671609");
B=A.fN("Using the TIBCO Moniker in VC++","73#wp1673429");
B=A.fN("Endpoints and COM Coclasses","74#wp1671659");
C=B.fN("Method Signatures Must Match","74#wp1671723");
C=B.fN("Request Response Service","74#wp1671740");
C=B.fN("Request Response Invocation Service","74#wp1671775");
C=B.fN("Publication and Subscription Services","74#wp1671876");
B=A.fN("Mapping COM and TIBCO ActiveEnterprise Data Types","75#wp1671901");
A=P.fN("9   Demonstration Applications","77#wp1671475");
B=A.fN("Overview","78#wp1671507");
C=B.fN("Repository Instances","78#wp1671512");
C=B.fN("Demonstration Projects","78#wp1671529");
B=A.fN("C++ Demonstration Programs","79#wp1675282");
C=B.fN("operation","79#wp1675290");
C=B.fN("C++ Client Projects","79#wp1671626");
C=B.fN("RecordSet Example","79#wp1673955");
C=B.fN("Connection Object Example","79#wp1674789");
C=B.fN("C++ Troubleshooting","79#wp1671732");
B=A.fN("Visual Basic Demonstration Programs","80#wp1671741");
C=B.fN("VBOperationDemo","80#wp1673166");
C=B.fN("VBPubSubDemo","80#wp1671780");
B=A.fN("Active Server Page (ASP) Demonstration: ASPDemo","81#wp1671874");
B=A.fN("Bridging between TIBCO Messaging Transport and BizTalk","82#wp1671937");
C=B.fN("Define the COM interface","82#wp1671989");
C=B.fN("Pass Messages to BizTalk","82#wp1672041");
C=B.fN("Pass BizTalk Messages to TIBCO Messaging Transport","82#wp1672129");
B=A.fN("MSMQ Demonstration Example","83#wp1675341");
C=B.fN("Architecture","83#wp1675463");
C=B.fN("Example Scenario","83#wp1675394");
B=A.fN(".NET Remoting Examples","84#wp1675653");
C=B.fN("Examples Scenario","84#wp1675616");
A=P.fN(" A   Data Types","86#wp1671485");
B=A.fN("TIBCO Adapter for COM Data Types","87#wp1671532");
B=A.fN("VARIANTs","88#wp1671678");
B=A.fN("SAFEARRAYs","89#wp1671711");
B=A.fN("User Defined Types (UDTs)","90#wp1671762");
C=B.fN("COM Data Types","90#wp1671764");
C=B.fN("ENUMs","90#wp1671803");
C=B.fN("ADO Recordset Data Object","90#wp1671941");
C=B.fN("ADO Connection Object","90#wp1673018");
B=A.fN("General Comments on Data Types","91#wp1671829");
A=P.fN(" B   Interoperability with Microsoft .NET Components","92#wp1665219");
B=A.fN("COM and .NET Interoperability","93#wp1671815");
C=B.fN("Calling .NET Components from a COM Client","93#wp1671507");
C=B.fN("Calling COM Components from a .NET Client","93#wp1671511");
B=A.fN("Adapter and .NET Component Interoperability","94#wp1671538");
C=B.fN(".NET and COM Interoperation with the Adapter","94#wp1671662");
B=A.fN("Sample Modules","95#wp1671685");
A=P.fN(" C   Monitoring the Adapter Using TIBCO Hawk","97#wp1757845");
B=A.fN("Overview","98#wp1757859");
B=A.fN("Starting TIBCO Hawk Software","99#wp1757886");
B=A.fN("The Auto-Discovery Process","100#wp1757910");
B=A.fN("Invoking Microagent Methods","101#wp1757920");
B=A.fN("Available Microagents","102#wp1757948");
C=B.fN("activateTraceRole()","103#wp1798034");
C=B.fN("deactivateTraceRole()","104#wp1806310");
C=B.fN("getAdapterServiceInformation()","105#wp1806495");
C=B.fN("getComponents()","106#wp1798166");
C=B.fN("getConfig()","107#wp1798257");
C=B.fN("getConfigProperties()","108#wp1798298");
C=B.fN("getHostInformation()","109#wp1800570");
C=B.fN("getRvConfig()","110#wp1798407");
C=B.fN("getStatus()","111#wp1801684");
C=B.fN("getTraceSinks()","112#wp1807172");
C=B.fN("_onUnsolictedMsg()","113#wp1808458");
C=B.fN("preRegisterListener()","114#wp1802539");
C=B.fN("reviewLedger()","115#wp1812571");
C=B.fN("setTraceSinks()","116#wp1801412");
C=B.fN("stopApplicationInstance()","117#wp1801442");
C=B.fN("unRegisterListener()","118#wp1803122");
C=B.fN("getActivityStatistics()","119#wp1812134");
C=B.fN("getActivityStatisticsBySchema()","120#wp1812256");
C=B.fN("getActivityStatisticsByService()","121#wp1812307");
C=B.fN("getQueueStatistics()","122#wp1812458");
C=B.fN("getThreadStatistics()","123#wp1812016");
C=B.fN("resetActivityStatistics()","124#wp1812619");
C=B.fN("resetThreadStatistics()","125#wp1812622");
A=P.fN(" D   Trace Messages","127#wp1672785");
B=A.fN("Overview","128#wp1804518");
B=A.fN("Trace Message Fields","129#wp1809125");
B=A.fN("Status Messages","130#wp1816400");
}
